Skip to main content
`Ctrl`+`K`
scipy.sparse.

# isspmatrix_coo

scipy.sparse.isspmatrix_coo(x)

  Is x of coo_matrix type?

  Parameters:
    x

      object to check for being a coo matrix

  Returns:
    bool

      True if x is a coo matrix, False otherwise

  Examples

      >>> from scipy.sparse import coo_array, coo_matrix, csr_matrix, isspmatrix_coo
      >>> isspmatrix_coo(coo_matrix([[5]]))
      True
      >>> isspmatrix_coo(coo_array([[5]]))
      False
      >>> isspmatrix_coo(csr_matrix([[5]]))
      False